commit:     7a5f0aaa9e426c1b605c0a708a83af3aa3df0228
Author:     Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 21 03:40:58 2017 +0000
Commit:     Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Thu Sep 21 05:14:52 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7a5f0aaa

dev-python/setuptools: version bump to 36.5.0

 dev-python/setuptools/Manifest                 |  1 +
 dev-python/setuptools/setuptools-36.5.0.ebuild | 69 ++++++++++++++++++++++++++
 2 files changed, 70 insertions(+)

diff --git a/dev-python/setuptools/Manifest b/dev-python/setuptools/Manifest
index 24956eb1e6a..9f268f371a1 100644
--- a/dev-python/setuptools/Manifest
+++ b/dev-python/setuptools/Manifest
@@ -3,3 +3,4 @@ DIST setuptools-34.0.2.zip 617839 SHA256 
a5bdc45a3c123a88c84e089a789ba70bbc61ee8
 DIST setuptools-35.0.1.zip 624263 SHA256 
eea7f2ff55d4a810b6bc39be1ad1c60c2702341b78b2365c71306eaa7316beac SHA512 
a3f5362ad64dead468172f9989bc62043ce736180d22e50d9815af25aecbceb58e701bb87a643b9fbbf0beedb37a45268b23b1b5e7e6e397aa124f43b1d4bb0d
 WHIRLPOOL 
e33041a6f03dc4ceb4a34db4c18a4d76a908b4e5a726ad18598cc202aca24df0a81241aa72812b7a31b1e452dd265e813c58ea23255e37a75c2c2ec2f73d8787
 DIST setuptools-35.0.2.zip 624829 SHA256 
1e55496ca8058db68ae12ac29a985d1ee2c2483a5901f7692fb68fa2f9a250fd SHA512 
f80789cef8fe86ff1989e7f769637d1f6cb2008c6190609b8f8c5b4fdb63fac83267709895c7f502a09a693779b41e6ee0551e94f3348b64b6108dbc9629a116
 WHIRLPOOL 
23b22065ced0a7df25ff35b79675b94e6146ec9ca7eff7c27a94d5aea64e4e9356e136fb537f642810a824eb3e0921d817b5739fe9cd3daf083cad99475354e9
 DIST setuptools-36.0.1.zip 711296 SHA256 
e17c4687fddd6d70a6604ac0ad25e33324cec71b5137267dd5c45e103c4b288a SHA512 
cbcd2591d0d8a7591c5d9a1d4173814afa0b984af29f2e34d26a37c357474b043f371978ac224cea12f50834d91babd9f14b137488c4edcd62594e91aff903d8
 WHIRLPOOL 
9818d419a11ab6493027fcf27a48b087c80a10fe2bf3b0539893bd57b33be23ed5b90572682f0a27850044482f03d299905e04cc890f724d3cf719d34bf36464
+DIST setuptools-36.5.0.zip 721505 SHA256 
ce2007c1cea3359870b80657d634253a0765b0c7dc5a988d77ba803fc86f2c64 SHA512 
e61c2f9ee640bf5dd8ab7c7a7c29667d91aa2498a7b027e387493ad7bcc9b56927e6fa63cdb4e083333c57eb355a670ba3df861ed5f8447b216fef0bc77c8b43
 WHIRLPOOL 
a18b45eb750bc92579d0179d0d5797d4cf949c20ab4e6cbf0b4ae154d351285983505829a1f0f0ee71b5b4aa3793bd3306ab3a9c44ea42b8306cb80cf3d273ec

diff --git a/dev-python/setuptools/setuptools-36.5.0.ebuild 
b/dev-python/setuptools/setuptools-36.5.0.ebuild
new file mode 100644
index 00000000000..ce6f647a787
--- /dev/null
+++ b/dev-python/setuptools/setuptools-36.5.0.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy{,3} )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1
+
+if [[ ${PV} == "9999" ]]; then
+       EGIT_REPO_URI="https://github.com/pypa/setuptools.git";
+       inherit git-r3
+else
+       SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.zip"
+       KEYWORDS="~amd64 ~x86"
+fi
+
+DESCRIPTION="Collection of extensions to Distutils"
+HOMEPAGE="https://github.com/pypa/setuptools 
https://pypi.python.org/pypi/setuptools";
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="test"
+
+RDEPEND="
+"
+DEPEND="${RDEPEND}
+       app-arch/unzip
+       test? (
+               dev-python/pip[${PYTHON_USEDEP}]
+               >=dev-python/pytest-2.8[${PYTHON_USEDEP}]
+               dev-python/pytest-fixture-config[${PYTHON_USEDEP}]
+               dev-python/pytest-virtualenv[${PYTHON_USEDEP}]
+               >=dev-python/backports-unittest-mock-1.2[${PYTHON_USEDEP}]
+       )
+"
+PDEPEND="
+       >=dev-python/certifi-2016.9.26[${PYTHON_USEDEP}]"
+
+# Force in-source build because build system modifies sources.
+DISTUTILS_IN_SOURCE_BUILD=1
+
+DOCS=( {CHANGES,README}.rst 
docs/{easy_install.txt,pkg_resources.txt,setuptools.txt} )
+
+python_prepare_all() {
+       if [[ ${PV} == "9999" ]]; then
+               python_setup
+               ${EPYTHON} bootstrap.py || die
+       fi
+
+       # disable tests requiring a network connection
+       rm setuptools/tests/test_packageindex.py || die
+
+       # don't run integration tests
+       rm setuptools/tests/test_integration.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       # test_easy_install raises a SandboxViolation due to 
${HOME}/.pydistutils.cfg
+       # It tries to sandbox the test in a tempdir
+       HOME="${PWD}" py.test --verbose ${PN} || die "Tests failed under 
${EPYTHON}"
+}
+
+python_install() {
+       export DISTRIBUTE_DISABLE_VERSIONED_EASY_INSTALL_SCRIPT=1
+       distutils-r1_python_install
+}

Reply via email to